Bug 609124 - Values set in atop sysconfig are not applied
Values set in atop sysconfig are not applied
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: atop (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
: 621033 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-29 09:33 EDT by Brian Pitts
Modified: 2011-06-21 10:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-21 10:24:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Pitts 2010-06-29 09:33:43 EDT
Description of problem:
Values set in /etc/sysconfig/atop are not used in /etc/cron.daily/atop.

Version-Release number of selected component (if applicable):
Tested in atop-1.23-10.fc12 and atop-1.23-8.el5

How reproducible:
Always.

Steps to Reproduce:
1. Change the value for INTERVAL in /etc/sysconfig/atop to something else
2. Run /etc/cron.daily/atop as root
3.Run 'ps -ef | grep atop'
  
Actual results:
You observe that atop is using an interval of 600.

Expected results:
You observe that atop is using the interval you set in /etc/sysconfig/atop.

Additional info:
The syntax used for conditional assignment in /etc/cron.daily/atop does not work. You can see this with the following test script.

#!/bin/bash
# this line is in /etc/sysconfig/atop, which is sourced by /etc/cron.daily/atop
INTERVAL=300
# this line is in /etc/cron.daily/atop
[ -z $INTERVAL ] || INTERVAL=600
# this line shows the value. the intention is that it be 300, but it is 600
echo $INTERVAL
Comment 1 Brian Pitts 2010-06-29 09:41:13 EDT
Although I have not had my coffee this morning and this kind of bash shortcut is confusing, changing the tests to use 'and' instead of 'or' works.

$ cat test 
#!/bin/bash
INTERVAL=
[ -z $INTERVAL ] && INTERVAL=600
echo $INTERVAL

$ bash test 
600


$ cat test 
#!/bin/bash
INTERVAL=300
[ -z $INTERVAL ] && INTERVAL=600
echo $INTERVAL

$ bash test 
300
Comment 2 Raina Otoni 2010-08-09 07:31:02 EDT
*** Bug 621033 has been marked as a duplicate of this bug. ***
Comment 3 Bug Zapper 2011-06-01 11:16:15 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora Admin XMLRPC Client 2011-06-21 02:27:59 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Gwyn Ciesla 2011-06-21 10:24:10 EDT
I've corrected this in the latest rawhide build, please test.  However, since that build includes migration from sysv to systemd, it won't be pushed back into F15 or earlier.  I only modified the atop.crondaily file, so if you want, you can download the binary RPM, and then rpm2cpio <foo>.rpm | cpio -ivd, and replace your with that one.  If that works, let me know and I'll backport that file alone back to F13.

Note You need to log in before you can comment on or make changes to this bug.